import 'package:flutter/material.dart';
import '../../src/entity/options.dart';
import '../../src/provider/asset_provider.dart';
import '../../src/provider/i18n_provider.dart';
import 'package:photo_manager/photo_manager.dart';

class PhotoPickerProvider extends InheritedWidget {
  final Options options;
  final I18nProvider provider;
  final AssetProvider assetProvider = AssetProvider();
  final List<AssetEntity> pickedAssetList;

  PhotoPickerProvider({
    @required this.options,
    @required this.provider,
    @required Widget child,
    this.pickedAssetList,
    Key key,
  }) : super(key: key, child: child);

  @override
  bool updateShouldNotify(InheritedWidget oldWidget) {
    return true;
  }

  static PhotoPickerProvider of(BuildContext context) =>
      context.dependOnInheritedWidgetOfExactType(aspect: PhotoPickerProvider);

  static AssetProvider assetProviderOf(BuildContext context) =>
      of(context).assetProvider;

  String getSureText(selectedCount) => options.maxSelected == null
      ? provider.getSureText(options, selectedCount)
      : provider.getSureTextWithMax(options, selectedCount);
}
